      SUBROUTINE MAIN
      LOGICAL*1 ARG(512)
      INTEGER OPEN, GETARG
      INTEGER FD, I
      CALL QUERY(21Husage:  ll [file] ...)
      I = 1
23000 IF (.NOT.(GETARG(I, ARG, 40) .NE. -1))GOTO 23002
      IF (.NOT.(ARG(1) .EQ. 45 .AND. ARG(2) .EQ. 0))GOTO 23003
      FD = 1
      GOTO 23004
23003 CONTINUE
      FD = OPEN(ARG, 1)
23004 CONTINUE
      IF (.NOT.(FD .EQ. -3))GOTO 23005
      CALL CANT(ARG)
      GOTO 23006
23005 CONTINUE
      CALL DOLL(FD)
      IF (.NOT.(FD .NE. 1))GOTO 23007
      CALL PUTCH(32,2)
      CALL PUTLIN(ARG, 2)
      CALL CLOSE(FD)
23007 CONTINUE
      CALL PUTCH(10,2)
23006 CONTINUE
23001 I = I + 1
      GOTO 23000
23002 CONTINUE
      IF (.NOT.(I .EQ. 1))GOTO 23009
      CALL DOLL(1)
      CALL PUTCH(10,2)
23009 CONTINUE
      RETURN
      END
      SUBROUTINE DOLL(FD)
      INTEGER FD
      LOGICAL*1 GETCH
      LOGICAL*1 C
      INTEGER LEN, MINL, MAXL
      MINL = 10000
      MAXL = 0
      LEN = 0
23011 IF (.NOT.(GETCH(C, FD) .NE. -1))GOTO 23012
      IF (.NOT.(C .EQ. 10))GOTO 23013
      IF (.NOT.(LEN .GT. MAXL))GOTO 23015
      MAXL = LEN
23015 CONTINUE
      IF (.NOT.(LEN .LT. MINL))GOTO 23017
      MINL = LEN
23017 CONTINUE
      LEN = 0
      GOTO 23014
23013 CONTINUE
      LEN = LEN + 1
23014 CONTINUE
      GOTO 23011
23012 CONTINUE
      IF (.NOT.(MINL .EQ. 10000))GOTO 23019
      MINL = 0
23019 CONTINUE
      CALL PUTINT(MINL, 5,2)
      CALL PUTCH(32,2)
      CALL PUTINT(MAXL, 5,2)
      RETURN
      END
